name: yourappname
description: A new Flutter project.

# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: "none" # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versionipubspec ma che j nahi ne

# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.4.0+1

environment:
  sdk: ">=2.17.0 <4.0.0"
  flutter: ">=1.10.0"

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter
  chewie:
    path: packages/chewie/
  vimeo_video_player:
    path: packages/vimeo/

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.8
  google_fonts: ^4.0.4
  buttons_tabbar: ^1.3.10
  # Players
  youtube_player_iframe: ^4.0.4
  video_player: ^2.8.6
  video_player_web_hls: ^1.0.0+3
  subtitle_wrapper_package: ^2.2.0
  # Players
  # Payment Gateways
  in_app_purchase: ^3.2.0
  in_app_purchase_storekit: ^0.3.16
  in_app_purchase_android: ^0.3.5+2
  razorpay_web: ^1.3.6
  paytm_allinonesdk: ^1.2.5
  # flutter_stripe: ^9.5.0+1
  flutter_dotenv: ^5.1.0
  http_auth: ^1.0.4
  flutter_paypal: ^0.2.0
  flutterwave_standard: ^1.0.8
  uuid: ^3.0.7
  pay_with_paystack: ^1.0.6
  # Payment Gateways
  # Firebase - OneSignal
  sign_in_with_apple: ^6.1.0
  crypto: ^3.0.3
  google_sign_in: ^6.2.1
  firebase_core: ^2.31.0
  firebase_auth: ^4.19.5
  firebase_auth_platform_interface: ^7.2.6
  onesignal_flutter: ^5.2.0
  firebase_messaging: ^14.9.2
  google_mobile_ads: ^5.2.0
  # Firebase - OneSignal
  intl_phone_field: ^3.2.0
  pinput: ^4.0.0
  intl: ^0.19.0
  flutter_locales: ^3.0.1
  image_picker: ^1.0.7
  fluttertoast: ^8.2.5
  shared_preferences: ^2.2.2
  smooth_page_indicator: ^1.1.0
  percent_indicator: ^4.2.3
  dio: ^5.4.0
  pretty_dio_logger: ^1.3.1
  provider: ^6.1.1
  progress_dialog_null_safe: ^3.0.0
  expandable_text: ^2.3.0
  flutter_staggered_grid_view: ^0.7.0
  expandable: ^5.0.1
  flutter_inappwebview: ^5.8.0
  flutter_html: ^3.0.0-beta.2
  url_launcher: ^6.2.6
  shimmer: ^3.0.0
  shimmer_animation: ^2.1.0+1
  speech_to_text: ^6.6.0
  avatar_glow: ^3.0.1
  flutter_share: ^2.0.0
  path_provider: ^2.1.3
  path: ^1.9.0
  html: ^0.15.4
  social_share: ^2.3.1
  cached_network_image: ^3.3.1
  carousel_slider: ^4.2.1
  carousel_indicator: ^1.0.6
  scrollable_positioned_list: ^0.3.8
  pull_to_refresh: ^2.0.0
  permission_handler: ^11.3.1
  responsive_framework: ^1.1.1
  dropdown_button2: ^2.3.9
  universal_html: ^2.2.4
  js: ^0.6.7
  responsive_grid_list: ^1.4.0
  flutter_cors: ^1.5.0
  device_info_plus: ^8.2.2
  # flutter_downloader: ^1.11.5
  random_string: ^2.3.1
  flutter_secure_storage: ^8.1.0
  scrollview_observer: ^1.20.0
  connectivity_plus: ^6.0.3
  marquee: ^2.2.3
  numeral: ^3.0.0
  gradient_borders: ^1.0.0
  screen_protector: ^1.4.2
  email_validator: ^2.1.17
  flutter_rating_bar: ^4.0.1
  syncfusion_flutter_pdfviewer: ^21.2.10
  # Music Player
  just_audio: ^0.9.40
  just_audio_background: ^0.0.1-beta.13
  miniplayer: ^1.0.1
  audio_video_progress_bar: ^2.0.2
  rxdart: ^0.27.7
  # Music Player
  image_picker_web: ^3.1.1
  flutter_media_metadata: ^1.0.0+1
  file_picker: ^5.2.10
  http_parser: ^4.0.2
  http_multi_server: ^3.2.1
  image_picker_for_web: ^3.0.4
  dio_http_formatter: ^3.2.1
  shared_preferences_android: ^2.2.2
  provider_screen: ^1.0.1
  http: ^1.2.1
  go_router: ^14.2.7
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  encrypt: ^5.0.3
  ffmpeg_kit_flutter: ^6.0.3
  flutter_launcher_icons: ^0.14.1

dependency_overrides:
  webview_flutter_wkwebview: "3.5.0"
  intl: any
  fading_edge_scrollview: ^4.1.1
  http: any

dev_dependencies:
  rename: ^3.0.2
  flutter_test:
    sdk: flutter
  build_runner: ^2.4.9
  hive_generator: ^2.0.1

  # The "flutter_lints" package below contains a set of recommended lints to
  # encourage good coding practices. The lint set provided by the package is
  # activated in the `analysis_options.yaml` file located at the root of your
  # package. See that file for information about deactivating specific lint
  # rules and activating additional ones.
  flutter_lints: ^4.0.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:
  assets:
    - assets/
    - assets/appicon/
    - assets/images/
    - assets/locales/en.json
    - assets/locales/af.json
    - assets/locales/ar.json
    - assets/locales/de.json
    - assets/locales/es.json
    - assets/locales/fr.json
    - assets/locales/gu.json
    - assets/locales/hi.json
    - assets/locales/id.json
    - assets/locales/nl.json
    - assets/locales/pt.json
    - assets/locales/sq.json
    - assets/locales/tr.json
    - assets/locales/vi.json

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  # assets:
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
